/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "start.h"

void _pokerGameActionStartOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
) {
  pokergame_t *game = (pokergame_t *)action->data;

  queueNext(queue);
}

void _pokerGameActionStartOnEnd(queue_t *queue,queueaction_t *action,uint8_t i){
  pokergame_t *game = (pokergame_t *)action->data;
  
  pokerActionMatchAdd(&game->scene.conversation.actionQueue, &game->poker);
  vnConversationTalk(&game->scene.conversation,
    "The game is No Limits Texas Hold'em.", NULL
  );
  pokerGameActionRoundAdd(game);
}

queueaction_t * pokerGameActionStartAdd(pokergame_t *game) {
  queueaction_t *action = pokerGameActionAdd(game);

  action->onStart = &_pokerGameActionStartOnStart;
  action->onEnd = &_pokerGameActionStartOnEnd;

  return action;
}